> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite user to tenant



## OpenAPI

````yaml /openapi.json post /api/v1/registration/invite
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/registration/invite:
    post:
      tags:
        - Registration Route
      summary: Invite user to tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInviteDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InviteDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    CreateInviteDto:
      required:
        - roles
        - url
      type: object
      properties:
        tenantId:
          format: int64
          description: ID of the tenant
          type: integer
        organisationId:
          format: int64
          description: ID of the organisation
          type: integer
        email:
          description: Email for which this Invite was generated
          type: string
          example: user@example.com
        roles:
          description: Roles for invited user
          default: extractor-user
          minItems: 1
          uniqueItems: true
          enum:
            - extractor-viewer
            - extractor-user
            - extractor-manager
            - organisation-viewer
            - organisation-user
            - organisation-manager
          type: array
          items:
            type: string
          example: extractor-user
        url:
          description: Invitation url, that will be added to invitation email
          minLength: 1
          pattern: ^https?.*
          type: string
          example: https://app.extractor.dev.extractor.live/invite
    InviteDto:
      required:
        - email
        - roles
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        tenantId:
          format: int64
          description: ID of the tenant
          type: integer
        organisationId:
          format: int64
          description: ID of the organisation
          type: integer
        expiredAt:
          format: int64
          description: Time when this invite will be expired
          type: integer
        email:
          description: Email for which this Invite was generated
          type: string
        roles:
          description: Roles for invited user
          minItems: 1
          uniqueItems: true
          type: array
          items:
            type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````